﻿Imports System.Windows
Imports Demo.ViewModel.Infrastructure

Public Class DialogWindowService
    Implements IDialogWindowService

    Public Function ShowModalDialog(windowname As String, title As String, datacontext As Object) As Boolean Implements IDialogWindowService.ShowModalDialog
        Dim win As New Window With {.WindowStartupLocation = WindowStartupLocation.CenterScreen, .SizeToContent = SizeToContent.WidthAndHeight}
        win.DataContext = datacontext : win.Title = title : win.Name = windowname
        win.Content = New ContentControl With {.Content = win.DataContext}
        Return win.ShowDialog
    End Function


End Class
