﻿Imports System.Collections.ObjectModel
Imports Demo.ViewModel
Imports Demo.ViewModel.Infrastructure

Public Class MySecondVm
    Inherits ViewModelBase


    Public Sub New()
        TabCollection = New ObservableCollection(Of ViewModelBase)
        TabCollection.Add(New Tab1Vm)
        TabCollection.Add(New Tab2Vm)
        TabCollection.Add(New Tab3Vm)
        SelectedIndex = 0
    End Sub



    Private _tabCollection As ObservableCollection(Of ViewModelBase)
    Public Property TabCollection() As ObservableCollection(Of ViewModelBase)
        Get
            Return _tabCollection
        End Get
        Set(ByVal value As ObservableCollection(Of ViewModelBase))
            _tabCollection = value
            RaisePropertyChanged()
        End Set
    End Property




    Private _selectedIndex As Integer
    Public Property SelectedIndex As Integer
        Get
            Return _selectedIndex
        End Get
        Set(value As Integer)
            _selectedIndex = value
            RaisePropertyChanged()
        End Set
    End Property




End Class
